﻿using Infragistics.Win;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WinTreeBiteArrayCellToHex
{
    public class ByteArrayToHexConverter : IEditorDataFilter
    {

        public object Convert(EditorDataFilterConvertArgs conversionArgs)
        {
            switch (conversionArgs.Direction)
            {
                case ConversionDirection.EditorToDisplay:
                    {
                        Byte[] bytes = conversionArgs.Value as Byte[];
                        if (bytes == null)
                        {
                            return conversionArgs.Value;
                        }
                        string result = BitConverter.ToString(bytes);
                        conversionArgs.Handled = true;

                        return result;
                    }
                case ConversionDirection.DisplayToEditor:
                case ConversionDirection.EditorToOwner:
                case ConversionDirection.OwnerToEditor:
                        break;
            }

            return conversionArgs.Value;

        }
    }
}
