﻿namespace WinTreeBiteArrayCellToHex
{
    using System;
    using System.Data;
    using System.Windows.Forms;

    using Infragistics.Win;
    using Infragistics.Win.UltraWinTree;

    public partial class Form1 : Form
    {
        private Random random = new Random();

        public Form1()
        {
            InitializeComponent();
            this.ultraTree1.Override.UseEditor = DefaultableBoolean.True;
            this.ultraTextEditor1.DataFilter = new ByteArrayToHexConverter();
            this.ultraTree1.DataSource = this.PopulateGridData();
            this.ultraTree1.Nodes[1].Cells[1].EditorComponent = this.ultraTextEditor1;

            // Uncomment next row to change entire column
            //this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[1].EditorComponent = this.ultraTextEditor1;
        }

        private DataTable PopulateGridData()
        {

            DataTable dataTable = new DataTable("table1");
            dataTable.Columns.Add("id", typeof(int)).AutoIncrement = true;
            dataTable.Columns.Add("Bite Array", typeof(byte[]));

            dataTable.Rows.Add(new object[] { null, new byte[] { (byte)random.Next(256), (byte)random.Next(256), (byte)random.Next(256) } });
            dataTable.Rows.Add(new object[] { null, new byte[] { (byte)random.Next(256), (byte)random.Next(256), (byte)random.Next(256), (byte)random.Next(256) } });

            return dataTable;
        }

        private void ultraTree1_AfterActivate(object sender, NodeEventArgs e)
        {
            this.label1.Text = BitConverter.ToString((Byte[])e.TreeNode.Cells[1].Value);
        }
    }
}
